import React from "react";
import { StyleProp, ViewStyle } from "react-native";
import { useAnimatedStyle, WithSpringConfig, SharedValue, DerivedValue } from "react-native-reanimated";
import { ComposedGesture, GestureType } from "react-native-gesture-handler";
import { defaultPageInterpolator } from "./pageInterpolators";
export declare enum Preset {
    SLIDE = "slide",
    CUBE = "cube",
    STACK = "stack",
    TURN_IN = "turn-in"
}
export declare const DEFAULT_ANIMATION_CONFIG: WithSpringConfig;
export declare type InfinitePagerPageProps = {
    index: number;
    focusAnim: DerivedValue<number>;
    isActive: boolean;
    pageWidthAnim: SharedValue<number>;
    pageHeightAnim: SharedValue<number>;
    pageAnim: SharedValue<number>;
};
export declare type InfinitePagerPageComponent = (props: InfinitePagerPageProps) => JSX.Element | null;
declare type AnyStyle = StyleProp<ViewStyle> | ReturnType<typeof useAnimatedStyle>;
export declare type InfinitePagerProps = {
    vertical?: boolean;
    PageComponent?: InfinitePagerPageComponent | React.MemoExoticComponent<InfinitePagerPageComponent>;
    renderPage?: InfinitePagerPageComponent;
    pageCallbackNode?: SharedValue<number>;
    onPageChange?: (page: number) => void;
    pageBuffer?: number;
    style?: AnyStyle;
    pageWrapperStyle?: AnyStyle;
    pageInterpolator?: typeof defaultPageInterpolator;
    minIndex?: number;
    maxIndex?: number;
    simultaneousGestures?: (ComposedGesture | GestureType)[];
    gesturesDisabled?: boolean;
    animationConfig?: Partial<WithSpringConfig>;
    flingVelocity?: number;
    preset?: Preset;
    bouncePct?: number;
    debugTag?: string;
    width?: number;
    height?: number;
    minDistance?: number;
    initialIndex?: number;
    fadeInDuration?: number;
};
declare type ImperativeApiOptions = {
    animated?: boolean;
};
export declare type InfinitePagerImperativeApi = {
    setPage: (index: number, options: ImperativeApiOptions) => void;
    incrementPage: (options: ImperativeApiOptions) => void;
    decrementPage: (options: ImperativeApiOptions) => void;
};
export declare type PageInterpolatorParams = {
    index: number;
    vertical: boolean;
    focusAnim: DerivedValue<number>;
    pageAnim: DerivedValue<number>;
    pageWidth: SharedValue<number>;
    pageHeight: SharedValue<number>;
    pageBuffer: number;
};
declare const _default: React.MemoExoticComponent<React.ForwardRefExoticComponent<Pick<InfinitePagerProps & React.RefAttributes<InfinitePagerImperativeApi>, "key" | keyof InfinitePagerProps> & React.RefAttributes<object>>>;
export default _default;
